Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream.util
Interface XMLPullReader

All Known Implementing Classes:
  XMLPullReaderBase

public interface XMLPullReader
extends org.xml.sax.XMLReader

Defines an interface that wraps a SAX XMLReader and provides extra methods needed to parse SAX events in a pull mode. These methods are provided by the Apache implementation of the SAX XMLReader

Version:
  1.0
See Also:
  `XMLOutputStream`

Method Summary
`boolean` | `parseSome()` a method that allows iterative parsing of a document
`boolean` | `parseSomeSetup(org.xml.sax.InputSource input)` a prepare method for the parse
`boolean` | `parseSomeSetup(java.lang.String systemId)` a prepare method for the parse

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Method Detail

### parseSomeSetup

    public boolean parseSomeSetup(org.xml.sax.InputSource input)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException

  a prepare method for the parse

  Parameters:
    `input` - the input to parse

### parseSomeSetup

    public boolean parseSomeSetup(java.lang.String systemId)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException

  a prepare method for the parse

  Parameters:
    `systemId` - the data to parse

### parseSome

    public boolean parseSome()
                      throws org.xml.sax.SAXException

  a method that allows iterative parsing of a document

  Returns:
    true if data was parsed, false if no more data to parse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference